\version "2.14.2"
#(ly:set-option 'point-and-click #f)
\include "deutsch.ly"


%%%%%%%%%%  This provides joint rests
%%%%%%%%%%  for the voices of the right hand in the realisation
%%%%%%%%%%  of the figured bass
#(define (rest-score r)
   (let ((score 0)
         (yoff (ly:grob-property-data r 'Y-offset))
         (sp (ly:grob-property-data r 'staff-position)))
     (if (number? yoff)
         (set! score (+ score 2))
         (if (eq? yoff 'calculation-in-progress)
             (set! score (- score 3))))
     (and (number? sp)
          (<= 0 2 sp)
          (set! score (+ score 2))
          (set! score (- score (abs (- 1 sp)))))
     score))

#(define (merge-rests-on-positioning grob)
   (let* ((can-merge #f)
          (elts (ly:grob-object grob 'elements))
          (num-elts (and (ly:grob-array? elts)
                         (ly:grob-array-length elts)))
          (two-voice? (= num-elts 2)))
     (if two-voice?
         (let* ((v1-grob (ly:grob-array-ref elts 0))
                (v2-grob (ly:grob-array-ref elts 1))
                (v1-rest (ly:grob-object v1-grob 'rest))
                (v2-rest (ly:grob-object v2-grob 'rest)))
           (and
            (ly:grob? v1-rest)
            (ly:grob? v2-rest)
            (let* ((v1-duration-log (ly:grob-property v1-rest 'duration-log))
                   (v2-duration-log (ly:grob-property v2-rest 'duration-log))
                   (v1-dot (ly:grob-object v1-rest 'dot))
                   (v2-dot (ly:grob-object v2-rest 'dot))
                   (v1-dot-count (and (ly:grob? v1-dot)
                                      (ly:grob-property v1-dot 'dot-count -1)))
                   (v2-dot-count (and (ly:grob? v2-dot)
                                      (ly:grob-property v2-dot 'dot-count -1))))
              (set! can-merge
                    (and
                     (number? v1-duration-log)
                     (number? v2-duration-log)
                     (= v1-duration-log v2-duration-log)
                     (eq? v1-dot-count v2-dot-count)))
              (if can-merge
                  ;; keep the rest that looks best:
                  (let* ((keep-v1? (>= (rest-score v1-rest)
                                       (rest-score v2-rest)))
                         (rest-to-keep (if keep-v1? v1-rest v2-rest))
                         (dot-to-kill (if keep-v1? v2-dot v1-dot)))
                    ;; uncomment if you're curious of which rest was chosen:
                    ;;(ly:grob-set-property! v1-rest 'color green)
                    ;;(ly:grob-set-property! v2-rest 'color blue)
                    (ly:grob-suicide! (if keep-v1? v2-rest v1-rest))
                    (if (ly:grob? dot-to-kill)
                        (ly:grob-suicide! dot-to-kill))
                    (ly:grob-set-property! rest-to-keep 'direction 0)
                    (ly:rest::y-offset-callback rest-to-keep)))))))
     (if can-merge
         #t
         (ly:rest-collision::calc-positioning-done grob))))



%%%%%%%%%%%%%%       MAKROS        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tr = ^\markup { \bold {+}}
st = ^\staccatissimo

%  Unterbalken geändert: statt 3 * 2 16-tel nun 2 * 3 16-tel
qbeam = {
  \set subdivideBeams = ##t
  \set Staff.beatLength = #(ly:make-moment 3 16)
  \set Staff.beatLength = #(ly:make-moment 3 8)
}
% Unterbalken gemäß Standard
nbeam = {
  \set Staff.beatLength = #(ly:make-moment 1 8)
  \set subdivideBeams = ##f
}
% Linien im Generalbass ein und ausschalten
lj = \set useBassFigureExtenders = ##t
ln = \set useBassFigureExtenders = ##f


% bei Verzierungen: Hälse kürzen, Hals nach unten, kleine Noten
sk =  { \once \override Stem #'length-fraction = #0.6 \once \override Stem #'direction = #DOWN \once \set fontSize = #-4   }
ska = { \once \override Stem #'length-fraction = #0.7 \once \override Stem #'direction = #DOWN \once \set fontSize = #-4   }
sku = { \once \override Stem #'length-fraction = #0.7 \once \override Stem #'direction = #UP \once \set fontSize = #-4   }
skn = { \once \override Stem #'length-fraction = #1 \once \override Stem #'direction = #DOWN \once \set fontSize = #-4   }
sn =     \override Stem #'length-fraction = #1  %normale Länge

% Nötig für weiße Notenköpfe
dua = \override NoteHead #'duration-log = #1
duo = \override NoteHead #'duration-log = #0



%%%%%%%%%%%%%       ENDE MAKRO     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\header {
  title = \markup
  {"Sonata XIIII" %{ \override #'(font-size . 3)  \raise #2 "re"%}  }
 %  subtitle = \markup
 % { "aus / du / from \"Six Trios\" (1718)"}
  subsubtitle = \markup
  {"für Blockflöte und B.c. / pour flûte à bec et b.c / for recorder and b.c"}
  instrument = \markup
  {"Violoncello / Violoncelle" }
  composer = \markup  \override #'(baseline-skip . 2)
  {
    \center-column     {
      "\n" "\n" "James Paisible"
      \tiny "(~1656 - 1721)"
      % \tiny "Figured bass arrangement and"
      % \tiny "Published by Franz-Rudolf Kuhnen" 
    }
  }
  copyright =
  \markup  {
    \teeny "Published under Creative Commons Attribution-ShareAlike 3.0 (http://creativecommons.org)
                    -
    http://noten.kuhnen-musik.de (Rev.: 01-20120704)"
  }
}



\paper {
  myStaffSize = #18
  #(define fonts
     (make-pango-font-tree "Times New Roman"
       "Arial"
       "Luxi Mono"
       (/ myStaffSize 18)))
  line-width = 18\cm
  ragged-last-bottom = ##f
  % page-count = 7
}

#(set-default-paper-size "a4")
#(set-global-staff-size 20)



%=================    1, Movement:  Grave   ===========================

\score {
  <<
    \override Score.BarNumber  #'font-shape = #'italic
    \override Score.BarNumber  #'font-series = #'bold
    \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible

 %    \new ChoirStaff <<
     %  \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         % fontSize = #-4
%         % \override StaffSymbol #'staff-space = #(magstep -3)
%         % \override StaffSymbol #'thickness = #(magstep -3)
%       }
      % \include "stimmen/14_1_01_fl.ly"

      % \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         fontSize = #-4
%         \override StaffSymbol #'staff-space = #(magstep -3)
%         \override StaffSymbol #'thickness = #(magstep -3)
%       }
%       \include "stimmen/14_1_02_vl.ly"
 %    >>

    \new GrandStaff <<
      %  \new Staff
      %     \include "stimmen/2_1_03_rh.ly"
      % 
      %    
      %     \new Staff
      \include "stimmen/14_1_04_lh.ly"
      % \include "stimmen/14_1_05_figures.ly"
    >>
  >>

  \layout {
    indent = 0  \context {
      \Staff
      %   \override TimeSignature #'style = #'single-digit
    }
  }

  \header {
    piece=   \markup {
      \left-column {
        \override #'(font-size . 3)
        \italic "Grave"
        % \small \italic "Lentement"
      }
    }
  }
}

% \pageTurn



%=================    2, Movement:  Largo   ===========================

\score {
  <<
    \override Score.BarNumber  #'font-shape = #'italic
    \override Score.BarNumber  #'font-series = #'bold
    \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible

  %   \new ChoirStaff <<
%       \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         % fontSize = #-4
%         % \override StaffSymbol #'staff-space = #(magstep -3)
%         % \override StaffSymbol #'thickness = #(magstep -3)
%       }
      % \include "stimmen/14_2_01_fl.ly"

      % \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         fontSize = #-4
%         \override StaffSymbol #'staff-space = #(magstep -3)
%         \override StaffSymbol #'thickness = #(magstep -3)
%       }
%       \include "stimmen/14_1_02_vl.ly"
%     >>

    \new GrandStaff <<
      %  \new Staff
      %     \include "stimmen/14_2_03_rh.ly"
      % 
      %    
      %     \new Staff
      \include "stimmen/14_2_04_lh.ly"
      % \include "stimmen/14_2_05_figures.ly"
    >>
  >>
  % \new ChoirStaff <<
  %     \new Staff
  %     \with {
        % \remove "Time_signature_engraver"
        % \override Clef #'transparent = ##t
        % fontSize = #-4
        % \override StaffSymbol #'staff-space = #(magstep -3)
        % \override StaffSymbol #'thickness = #(magstep -3)
  %     }
  \layout {
    indent = 0  \context {
      \Staff
        \override TimeSignature #'style = #'single-digit
    }
  }

  \header {
    piece=   \markup {
      \left-column {
        \override #'(font-size . 3)
        \italic "Largo"
        % \small \italic "Lentement"
      }
    }
  }
}

  \pageTurn



%=================    3, Movement:  Adagio   ===========================

\score {
  <<
    \override Score.BarNumber  #'font-shape = #'italic
    \override Score.BarNumber  #'font-series = #'bold
    \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible

   %  \new ChoirStaff <<
%       \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         % fontSize = #-4
%         % \override StaffSymbol #'staff-space = #(magstep -3)
%         % \override StaffSymbol #'thickness = #(magstep -3)
%       }
      % \include "stimmen/14_3_01_fl.ly"

      % \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         fontSize = #-4
%         \override StaffSymbol #'staff-space = #(magstep -3)
%         \override StaffSymbol #'thickness = #(magstep -3)
%       }
%       \include "stimmen/14_1_03_vl.ly"
 %    >>

    \new GrandStaff <<
      %  \new Staff
      %     \include "stimmen/14_3_03_rh.ly"
      % 
      %    
      %     \new Staff
      \include "stimmen/14_3_04_lh.ly"
      % \include "stimmen/14_3_05_figures.ly"
    >>
  >>

  \layout {
    indent = 0  \context {
      \Staff
     %    \override TimeSignature #'style = #'single-digit
    }
  }

  \header {
    piece=   \markup {
      \left-column {
        \override #'(font-size . 3)
        \italic "Adagio"
        % \small \italic "Lentement"
      }
    }
  }
}





%=================    3, Movement:  Presto   ===========================

\score {
  <<
    \override Score.BarNumber  #'font-shape = #'italic
    \override Score.BarNumber  #'font-series = #'bold
    \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible

   %  \new ChoirStaff <<
%       \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         % fontSize = #-4
%         % \override StaffSymbol #'staff-space = #(magstep -3)
%         % \override StaffSymbol #'thickness = #(magstep -3)
%       }
      % \include "stimmen/14_4_01_fl.ly"

      % \new Staff
%       \with {
%         % \remove "Time_signature_engraver"
%         % \override Clef #'transparent = ##t
%         fontSize = #-4
%         \override StaffSymbol #'staff-space = #(magstep -3)
%         \override StaffSymbol #'thickness = #(magstep -3)
%       }
%       \include "stimmen/14_1_04_vl.ly"
 %    >>

    \new GrandStaff <<
      %  \new Staff
      %     \include "stimmen/14_4_03_rh.ly"
      % 
      %    
      %     \new Staff
      \include "stimmen/14_4_04_lh.ly"
      % \include "stimmen/14_4_05_figures.ly"
    >>
  >>

  \layout {
    indent = 0  \context {
      \Staff
     %    \override TimeSignature #'style = #'single-digit
    }
  }

  \header {
    piece=   \markup {
      \left-column {
        \override #'(font-size . 3)
        \italic "Presto"
        % \small \italic "Presto"
      }
    }
  }
}

